# Filter provides from plugins.
%global __provides_exclude_from ^%{_libdir}/%{name}/.*$

# Caja in Fedora <= 25 is to old for the extension.
%if 0%{?fedora} >= 26 || 0%{?rhel} >= 8
%global caja_ext 1
%else  # 0%%{?fedora} >= 26 || 0%%{?rhel} >= 8
%global caja_ext 0
%endif # 0%%{?fedora} >= 26 || 0%%{?rhel} >= 8


Name:		xreader
Version:	1.4.4
Release:	2%{?dist}
Summary:	Simple document viewer

License:	GPLv2+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libappstream-glib
BuildRequires:	pkgconfig(ddjvuapi)
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-unix-print-3.0)
BuildRequires:	pkgconfig(kpathsea)
%if 0%{?caja_ext}
BuildRequires:	pkgconfig(libcaja-extension)
%endif # 0%%{?caja_ext}
BuildRequires:	pkgconfig(libgxps)
BuildRequires:	pkgconfig(libnemo-extension)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libspectre)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	texlive
BuildRequires:	yelp-tools

Requires:	shared-mime-info%{?_isa}
Requires:	gsettings-desktop-schemas%{?_isa}
Requires:	xapps%{?_isa}

Recommends:	yelp%{?_isa}

%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils
%endif (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)

%description
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.


%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa}				== %{version}-%{release}

%description devel
This package contains the development files for %{name}.


%package doc
Summary:	Documentation files for %{name}

BuildArch:	noarch

%description doc
This package contains the documentation files for %{name}.


%package -n nemo-extension-%{name}
Summary:	X-Apps Document Reader file manager extension

Requires:	nemo
Requires:	%{name}%{?_isa}				== %{version}-%{release}

%description -n nemo-extension-%{name}
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

This package contains the xreader extension for the
Nemo file manager.
It adds an additional tab called "Document" to the file properties
dialog.


%if 0%{?caja_ext}
%package -n caja-extension-%{name}
Summary:	X-Apps Document Reader file manager extension

Requires:	caja
Requires:	%{name}%{?_isa}				== %{version}-%{release}

%description -n caja-extension-%{name}
X-Apps Document Reader is a document viewer capable of displaying
multiple and singlepage document formats like PDF and PostScript.

This package contains the xreader extension for the
Caja file manager.
It adds an additional tab called "Document" to the file properties
dialog.
%endif # 0%%{?caja_ext}


%prep
%autosetup -p 1
NOCONFIGURE=1 %{_bindir}/gnome-autogen.sh


%build
export LDFLAGS="-Wl,--as-needed %{__global_ldflags}"
%configure						\
		--disable-silent-rules			\
		--disable-static			\
%if 0%{?caja_ext} == 0
		--disable-caja				\
%endif # 0%%{?caja_ext} == 0
		--enable-gtk-doc			\
		--enable-introspection			\
		--enable-pixbuf

%make_build


%install
%make_install
%{_bindir}/find %{buildroot} -type f -name '*.a' -print -delete
%{_bindir}/find %{buildroot} -type f -name '*.la' -print -delete
%{__sed} -i -e '/.*<project_group>.*/d'			\
	%{buildroot}%{_datadir}/appdata/*.appdata.xml
%find_lang %{name}


%check
# Validate desktop-files.
%{_bindir}/desktop-file-validate				\
	%{buildroot}%{_datadir}/applications/*.desktop

# Validate AppData-files.
%{_bindir}/appstream-util validate-relax --nonet		\
	%{buildroot}%{_datadir}/appdata/*.appdata.xml


%post
/sbin/ldconfig
/bin/touch %{_datadir}/icons/hicolor >&/dev/null || :
%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
%{_bindir}/update-desktop-database &> /dev/null || :
%endif (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  /bin/touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi
%if (0%{?fedora} && 0%{?fedora} <=24) || (0%{?rhel} && 0%{?rhel} <= 7)
%{_bindir}/update-desktop-database &> /dev/null || :
%endif (0%%{?fedora} && 0%%{?fedora} <=24) || (0%%{?rhel} && 0%%{?rhel} <= 7)

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :


%files -f %{name}.lang
%license AUTHORS COPYING debian/copyright
%doc ChangeLog README debian/changelog
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/dbus-1/services/*
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/help/*/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_libdir}/girepository-1.0/*
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_libexecdir}/%{name}*
%{_mandir}/man?/*.*


%files devel
%{_datadir}/gir-1.0/*
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/xreader-document-1.5.0.pc
%{_libdir}/pkgconfig/xreader-view-1.5.0.pc


%files doc
%license %{_datadir}/licenses/%{name}
%doc %{_datadir}/doc/%{name}
%{_datadir}/gtk-doc


%files -n nemo-extension-%{name}
# This directory is not owned by any other package,
# maybe should be added to the nemo package
%dir %{_datadir}/nemo/extensions/
%{_datadir}/nemo/extensions/libxreader-properties-page.nemo-extension
%{_libdir}/nemo/extensions-3.0/libxreader-properties-page.so


%if 0%{?caja_ext}
%files -n caja-extension-%{name}
# This directory is not owned by any other package,
# maybe should be added to the caja package
%dir %{_datadir}/caja/extensions/
%{_datadir}/caja/extensions/libxreader-properties-page.caja-extension
%{_libdir}/caja/extensions-2.0/libxreader-properties-page.so
%endif # 0%%{?caja_ext}


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 28 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.4-1
- New upstream release (rhbz#1462726)

* Wed May 24 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.2-1
- New upstream release (rhbz#1454986)

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-2
- Add patch to fix build without Caja-extension

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-1
- New upstream release (rhbz#1448921)

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-2
- Disable Caja-extension for Fedora <= 25

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-1
- Initial import (rhbz#1424832)

* Sat May 06 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-0.1
- Initial rpm-release (rhbz#1424832)
